#ifndef _PLATFORM_DEF_H
#define _PLATFORM_DEF_H

#include <stdio.h>

#define ARR_CAPACITY(a) (sizeof(a)/sizeof(a[0]))

int utf8_to_wc(const char *in, __wchar_t *out, int cch_buf);
FILE* fopen_(const char *filename, const char *mode);
errno_t fopen_s_(FILE** file, const char *filename, const char *mode);

#endif /* _PLATFORM_DEF_H */
